/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：组件清单
*
* createdate:  2022-08-29 10:13:11  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "组件清单")
public class CpComponentListQueryDto implements Serializable
{
    /**
     * 查询组件列表范围0-基础组件 1-插件 2- 函数
     */
    @ApiModelProperty("查询组件列表范围0-基础组件 1-插件 2- 函数")
    private String comCategory;

    /**
     * 模糊搜索输入内容
     */
    @ApiModelProperty("模糊搜索输入内容")
    private String selectName;

    private String selectAlias;

    public String getComCategory() {
        return comCategory;
    }

    public void setComCategory(String comCategory) {
        this.comCategory = comCategory;
    }

    public String getSelectName() {
        return selectName;
    }

    public void setSelectName(String selectName) {
        this.selectName = selectName;
    }

    public String getSelectAlias() {
        return selectAlias;
    }

    public void setSelectAlias(String selectAlias) {
        this.selectAlias = selectAlias;
    }
}